com.hazelcast.config

## Class CacheSimpleEntryListenerConfig

- java.lang.Object
- - com.hazelcast.config.CacheSimpleEntryListenerConfig

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable
  Direct Known Subclasses:
    CacheSimpleEntryListenerConfigReadOnly

      public class CacheSimpleEntryListenerConfig
      extends Object
      implements IdentifiedDataSerializable

  Simple configuration to hold parsed listener config.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheSimpleEntryListenerConfig()`
    `CacheSimpleEntryListenerConfig(CacheSimpleEntryListenerConfig listenerConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `CacheSimpleEntryListenerConfigReadOnly` | `getAsReadOnly()` Deprecated. this method will be removed in 4.0; it is meant for internal usage only
    `String` | `getCacheEntryEventFilterFactory()`
    `String` | `getCacheEntryListenerFactory()`
    `int` | `getFactoryId()` Returns DataSerializableFactory factory ID for this class.
    `int` | `getId()` Returns type identifier for this class.
    `int` | `hashCode()`
    `boolean` | `isOldValueRequired()` If old value is required, previously assigned values for the affected keys will be sent to this cache entry listener implementation.
    `boolean` | `isSynchronous()` If `true`, this cache entry listener implementation will be called in a synchronous manner.
    `void` | `readData(ObjectDataInput in)` Reads fields from the input stream
    `void` | `setCacheEntryEventFilterFactory(String cacheEntryEventFilterFactory)`
    `void` | `setCacheEntryListenerFactory(String cacheEntryListenerFactory)`
    `void` | `setOldValueRequired(boolean oldValueRequired)` If `true`, previously assigned values for the affected keys will be sent to this cache entry listener implementation.
    `void` | `setSynchronous(boolean synchronous)` If `true`, this cache entry listener implementation will be called in a synchronous manner.
    `String` | `toString()`
    `void` | `writeData(ObjectDataOutput out)` Writes object fields to output stream

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheSimpleEntryListenerConfig

          public CacheSimpleEntryListenerConfig(CacheSimpleEntryListenerConfig listenerConfig)

    - #### CacheSimpleEntryListenerConfig

          public CacheSimpleEntryListenerConfig()

  - ### Method Detail

    - #### getAsReadOnly

          public CacheSimpleEntryListenerConfigReadOnly getAsReadOnly()

      Deprecated. this method will be removed in 4.0; it is meant for internal usage only
      Gets immutable version of this configuration.
      Returns:
        immutable version of this configuration

    - #### getCacheEntryListenerFactory

          public String getCacheEntryListenerFactory()

    - #### setCacheEntryListenerFactory

          public void setCacheEntryListenerFactory(String cacheEntryListenerFactory)

    - #### getCacheEntryEventFilterFactory

          public String getCacheEntryEventFilterFactory()

    - #### setCacheEntryEventFilterFactory

          public void setCacheEntryEventFilterFactory(String cacheEntryEventFilterFactory)

    - #### isOldValueRequired

          public boolean isOldValueRequired()

      If old value is required, previously assigned values for the affected keys will be sent to this cache entry listener implementation.
      Returns:
        `true` if old value is required, `false` otherwise

    - #### setOldValueRequired

          public void setOldValueRequired(boolean oldValueRequired)

      If `true`, previously assigned values for the affected keys will be sent to this cache entry listener implementation. Setting this attribute to `true` creates additional traffic. Default value is `false`.
      Parameters:
        `oldValueRequired` - `true` to have old value required, `false` otherwise

    - #### isSynchronous

          public boolean isSynchronous()

      If `true`, this cache entry listener implementation will be called in a synchronous manner.
      Returns:
        `true` if this cache entry listener implementation will be called in a synchronous manner, `false` otherwise

    - #### setSynchronous

          public void setSynchronous(boolean synchronous)

      If `true`, this cache entry listener implementation will be called in a synchronous manner.
      Parameters:
        `synchronous` - `true` to have this cache entry listener implementation called in a synchronous manner, `false` otherwise.

    - #### equals

          public final boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getFactoryId

          public int getFactoryId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns DataSerializableFactory factory ID for this class.
      Specified by:
        `getFactoryId` in interface `IdentifiedDataSerializable`
      Returns:
        factory ID

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Specified by:
        `getId` in interface `IdentifiedDataSerializable`
      Returns:
        type ID

    - #### writeData

          public void writeData(ObjectDataOutput out)
                         throws IOException

      Description copied from interface: `DataSerializable`
      Writes object fields to output stream
      Specified by:
        `writeData` in interface `DataSerializable`
      Parameters:
        `out` - output
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

    - #### readData

          public void readData(ObjectDataInput in)
                        throws IOException

      Description copied from interface: `DataSerializable`
      Reads fields from the input stream
      Specified by:
        `readData` in interface `DataSerializable`
      Parameters:
        `in` - input
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the input stream has been closed.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.